Bug 730467 - SELinux is preventing /usr/libexec/colord from 'read' accesses on the file unix.
Summary: SELinux is preventing /usr/libexec/colord from 'read' accesses on the file unix.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 15
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:e554d46c1f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-13 10:19 UTC by Jeff Layton
Modified: 2014-06-18 07:41 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.9.16-39.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-06 00:02:23 UTC


Attachments (Terms of Use)

Description Jeff Layton 2011-08-13 10:19:28 UTC
SELinux is preventing /usr/libexec/colord from 'read' accesses on the file unix.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that colord should be allowed read access on the unix file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep colord /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:colord_t:s0-s0:c0.c1023
Target Context                system_u:object_r:proc_net_t:s0
Target Objects                unix [ file ]
Source                        colord
Source Path                   /usr/libexec/colord
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           colord-0.1.7-1.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-35.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 2.6.40-4.fc15.x86_64
                              #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64
Alert Count                   1
First Seen                    Sat 13 Aug 2011 06:11:37 AM EDT
Last Seen                     Sat 13 Aug 2011 06:11:37 AM EDT
Local ID                      43502d50-c3e6-41e4-8359-0fbb798bc507

Raw Audit Messages
type=AVC msg=audit(1313230297.912:23): avc:  denied  { read } for  pid=1573 comm="colord" name="unix" dev=proc ino=4026532000 scontext=system_u:system_r:colord_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_net_t:s0 tclass=file


type=SYSCALL msg=audit(1313230297.912:23): arch=x86_64 syscall=access success=yes exit=0 a0=7fff8fcabff0 a1=4 a2=7fff8fcabffe a3=0 items=0 ppid=1 pid=1573 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=colord exe=/usr/libexec/colord subj=system_u:system_r:colord_t:s0-s0:c0.c1023 key=(null)

Hash: colord,colord_t,proc_net_t,file,read

audit2allow

#============= colord_t ==============
allow colord_t proc_net_t:file read;

audit2allow -R

#============= colord_t ==============
allow colord_t proc_net_t:file read;

Comment 1 Daniel Walsh 2011-08-15 11:05:05 UTC
Miroslav lets just add

kernel_read_network_state(colord_t)

Comment 2 Miroslav Grepl 2011-08-22 06:24:18 UTC
Fixed in selinux-policy-3.9.16-39.fc15

Comment 3 Fedora Update System 2011-09-08 08:11:55 UTC
selinux-policy-3.9.16-39.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-39.fc15

Comment 4 Fedora Update System 2011-09-09 05:28:07 UTC
Package selinux-policy-3.9.16-39.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.9.16-39.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/selinux-policy-3.9.16-39.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-10-06 00:02:23 UTC
selinux-policy-3.9.16-39.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.